<script LANGUAGE=JAVASCRIPT TYPE="text/javascript" >
<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//-->

<!--

//	フォーマットチェック(「YYYY/MM」)+月の妥当性チェック
function _CF_checkMonth(PsValue){

	//	未入力時はチェックしない
	if (PsValue.length == 0){
		return;
	}
	//	フォーマットチェック(「YYYY/MM」)
	var LoRegExp = new RegExp("^[0-9]{4}[/][0-9]{2}$");
	if (LoRegExp.test(PsValue) == false){
		return "は「YYYY/MM」形式で入力してください。";
	}
	//	範囲チェック(年は1900〜2999の範囲)
	LoRegExp = new RegExp("^19[0-9]{2}[/][0-9]{2}|2[0-9]{3}[/][0-9]{2}$");
	if (LoRegExp.test(PsValue) == false){
		return "が範囲外です。";
	}
	//	月の存在チェック
	PsValue = PsValue.replace(/\//g,"");
	var LiMonth = Number(PsValue.substring(4,6));	//	月
	if( LiMonth<1 || 12<LiMonth) {
		return "に存在しない月があります。";
	}
}
//	フォーマットチェック(「YYYY」)チェック
function _CF_checkYear(PsValue){

	//	未入力時はチェックしない
	if (PsValue.length == 0){
		return;
	}
	//	フォーマットチェック(「YYYY」)
	var LoRegExp = new RegExp("^[0-9]{4}$");
	if (LoRegExp.test(PsValue) == false){
		return "は「YYYY」形式で入力してください。";
	}
	//	範囲チェック(年は1900〜2999の範囲)
	LoRegExp = new RegExp("^19[0-9]{2}|2[0-9]{3}$");
	if (LoRegExp.test(PsValue) == false){
		return "が範囲外です。";
	}
}

//	数値範囲チェック
function _CF_checkRange(PsValue, PiMinValue, PiMaxValue){

	var LsMsg = "";

	if (PsValue < PiMinValue || PsValue > PiMaxValue){
		
		//	メッセージを直書きせず外部に出す場合はreplaceで対処
		LsMsg = "は"+PiMinValue+"〜"+PiMaxValue+"の範囲内で入力してください。";
		return LsMsg;
	}
}
//-->
</script>
